/*
 * $Id: glist.c,v 1.1 1998/01/05 09:20:12 dhall Exp $
 *
 * glist.c - function handlers for generic list data types
 *
 * This file is part of libswiss
 *
 * Copyright (c) 1997 by Vi'Rage Studios
 *
 */

#include "iswiss.h"
#include "glist.h"

list_data *glist_create (void)
{
   list_data *list;

   /* !! OPT !! w/kalloc assume it's initialized to zero */
   list = kalloc (list_data, 1);
   
   return list;
}

/* prevents string duplication */
void glist_error (void *node)
{
   isyslog ("GL_DELETE: deleting node[%p] from empty list\n", node);
}
